"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InjectContext = void 0;

var _plugin = require("../plugin");

var _types = require("../types");

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class InjectContext extends _plugin.PlatformPlugin {
  constructor() {
    super(...arguments);

    _defineProperty(this, "type", _types.PluginType.before);
  }

  async execute(event) {
    // We need to get the Context in a concurrency safe mode to permit changes to make it in before we retrieve it
    const context = await this.analytics.context.get(true);
    return { ...event,
      context: { ...event.context,
        ...context
      }
    };
  }

}

exports.InjectContext = InjectContext;
//# sourceMappingURL=InjectContext.js.map