function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import { PlatformPlugin } from '../plugin';
import { PluginType } from '../types';
export class InjectContext extends PlatformPlugin {
  constructor() {
    super(...arguments);

    _defineProperty(this, "type", PluginType.before);
  }

  async execute(event) {
    // We need to get the Context in a concurrency safe mode to permit changes to make it in before we retrieve it
    const context = await this.analytics.context.get(true);
    return { ...event,
      context: { ...event.context,
        ...context
      }
    };
  }

}
//# sourceMappingURL=InjectContext.js.map